/*******************************************************************************
 *
 * amrecGUI Version 0.2.2
 *
 * amrecgui is a simple frontend for amrecover, the command-line recovery tool for the backup suite amanda. amrecgui is licensed under GPL conditions.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef AMRECGUIMAINFRAME_H

#define AMRECGUIMAINFRAME_H

#include <gui/mainframe.h>
#include <basic/dataspooler.h>
#include "datasetconfiguration.h"

class CRecoverView;

class CAmrecguiMainframe: public CMainFrame
{
 private:
    CRecoverView *m_pRecoverView;
    CDataSpooler m_Dataspooler;
    CDataSetConfiguration m_Configuration; 
 public:
    CAmrecguiMainframe();
 protected:
    virtual const char *PropertiesName() const;
    virtual const char *Title() const;
    virtual const char *Version() const;
    virtual void InternalCreate(unsigned long lStyle);
    virtual void InternalDestroy();
};

#endif
