/*******************************************************************************
 *
 * amrecGUI Version 0.2.2
 *
 * amrecgui is a simple frontend for amrecover, the command-line recovery tool for the backup suite amanda. amrecgui is licensed under GPL conditions.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#ifndef DATASETCONFIGURATION_H

#define DATASETCONFIGURATION_H

#include <basic/date.h>
#include <basic/identificator.h>
#include <basic/cstrings.h>

class CDataSpooler;

class CDataSetConfiguration
{
 private:
    CDataSpooler *m_pDataSpooler;
    IDENT m_nDisk;
    IDENT m_nDataSet;
    CDate m_dtDate;
    CStrings m_strOutput;
 public:
    CDataSetConfiguration();

    inline void SetSpooler(CDataSpooler *spooler) { m_pDataSpooler = spooler; }
    void Load(int nDataSet, const CDate &date, int nDisk, const char *strOutput);

    inline void SetDisk(IDENT disk) { m_nDisk = disk; }
    inline void SetDataSet(IDENT dataset) { m_nDataSet = dataset; }
    inline void SetDate(const CDate &date) { m_dtDate = date; }
    inline void SetOutput(const char *strOutput) { m_strOutput = strOutput; }

    inline IDENT Disk() const { return m_nDisk; }
    inline IDENT DataSet() const { return m_nDataSet; }
    inline const CDate &Date() const { return m_dtDate; }
    inline const CStrings &Output() const { return m_strOutput; }

    inline CDataSpooler *DataSpooler() const { return m_pDataSpooler; }
};

#endif
