/*******************************************************************************
 *
 * amrecGUI Version 0.2.2
 *
 * amrecgui is a simple frontend for amrecover, the command-line recovery tool for the backup suite amanda. amrecgui is licensed under GPL conditions.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#include "editdiskdialog.h"
#include <gui/labelledtextfield.h>
#include <basic/globalstring.h>

CEditDiskDialog::CEditDiskDialog(const char *strName)
{
    m_strName = strName;
}

void CEditDiskDialog::InternalCreate(unsigned long lStyle)
{
    CModalDialog::InternalCreate(lStyle);

    Arg args[20];
    Cardinal argcount = 0;

    XtSetArg(args[argcount], XmNleftAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNrightAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNtopAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNbottomAttachment, XmATTACH_WIDGET); argcount++;
    XtSetArg(args[argcount], XmNbottomWidget, Separator()); argcount++;

    m_pName = new CLabelledTextField(Frame());
    m_pName->Create(0L, args, argcount);
    m_pName->SetValue(m_strName);

    SetCaption(LANGUAGE_STRING(IDS_INPUT_DISK));
}

void CEditDiskDialog::InternalDestroy()
{
    delete m_pName;
}

void CEditDiskDialog::OnOk()
{
    m_strName = m_pName->Value();

    if (m_strName != "")
    {
	CModalDialog::OnOk();
    }
}
