/*******************************************************************************
 *
 * amrecGUI Version 0.2.2
 *
 * amrecgui is a simple frontend for amrecover, the command-line recovery tool for the backup suite amanda. amrecgui is licensed under GPL conditions.
 *
 * The full text of the GNU General Public License can be found in the doc 
 * directory.
 *
 * Copyright (C) 2002, 2003 Stefan Hoefer
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * You can contact Stefan Hoefer via email at stefan@hoefer.ch
 *
 ******************************************************************************/

#include "recoveraskdialog.h"
#include <gui/label.h>
#include <gui/shellinterface.h>
#include <Xm/ScrolledW.h>
#include <basic/globalstring.h>

CRecoverAskDialog::CRecoverAskDialog(const char *strList)
    : CModalDialog()
{
    m_strList = strList;
}

void CRecoverAskDialog::InternalCreate(unsigned long lStyle)
{
    CModalDialog::InternalCreate(lStyle);

    Arg args[20];
    Cardinal argcount = 0;

    XtSetArg(args[argcount], XmNleftAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNrightAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNtopAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNheight, 300); argcount++;

    Widget wdgScrollWindow = XmCreateScrolledWindow(Frame(), "scrolledwindow", args, argcount);
    XtManageChild(wdgScrollWindow);

    argcount = 0;
    XtSetArg(args[argcount], XmNheight, 400); argcount++;
    XtSetArg(args[argcount], XmNwidth, 400); argcount++;

    m_pInterface = new CShellInterface(wdgScrollWindow);
    m_pInterface->Create(0L, args, argcount);
    *m_pInterface += (char *)(const char *)m_strList;

    argcount = 0;

    XtSetArg(args[argcount], XmNleftAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNrightAttachment, XmATTACH_FORM); argcount++;
    XtSetArg(args[argcount], XmNtopAttachment, XmATTACH_WIDGET); argcount++;
    XtSetArg(args[argcount], XmNbottomAttachment, XmATTACH_WIDGET); argcount++;
    XtSetArg(args[argcount], XmNtopWidget, wdgScrollWindow); argcount++;
    XtSetArg(args[argcount], XmNbottomWidget, Separator()); argcount++;

    m_pLabel = new CLabel(Frame());
    m_pLabel->Create(0L, args, argcount);
    m_pLabel->SetCaption(LANGUAGE_STRING(IDS_ASK_RECOVER));
}

void CRecoverAskDialog::InternalDestroy()
{
    delete m_pInterface;
    delete m_pLabel;
}
